Skip to main content
GET
Get payment status

Authorizations

Authorization
string
header
required

Bearer token authentication with a Circle API key. Use this for production settlement after claiming your Facilitator Service seller account.

Path Parameters

paymentId
string<uuid>
required

The paymentId returned by /settle on a pending response.

Response

Payment status

paymentId
string<uuid>
required

Facilitator Service payment identifier.

Example:

"5b3f6c1e-9d2a-4f08-b1c7-2e9a14d0c3aa"

status
enum<string>
required

Current lifecycle state of the payment.

Available options:
pending,
completed,
failed
network
string
required

CAIP-2 network identifier for the payment.

Example:

"eip155:5042002"

reason
enum<string> | null

Additional detail about the payment status.

Available options:
outcome_unknown
Example:

"outcome_unknown"

transaction
string | null

Transaction hash once available.

Example:

"0x6f9e1d..."

amount
string

Amount in atomic USDC units.

Example:

"1000000"

payer
string | null

Buyer address on the settled transfer.

Example:

null

nextAction
string | null

The next action.

Example:

null

retryAfterMs
integer | null

Milliseconds before retry.

Example:

null

expiresAt
string<date-time> | null

Timestamp after which you can stop polling for a terminal state on this pending payment. Present only while status is pending.

updatedAt
string<date-time>

Timestamp of the most recent state transition.

Example:

"2026-06-11T22:30:11Z"